package com.zcloud.zcGbsServicer.command;

import com.alibaba.cola.exception.BizException;
import com.zcloud.zcGbsServicer.domain.gateway.WaterSourceGateway;
import com.zcloud.zcGbsServicer.domain.model.WaterSourceE;
import com.zcloud.zcGbsServicer.dto.WaterSourceUpdateCmd;
import lombok.AllArgsConstructor;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;




/**
* web-app
* @Author makejava
* @Date 2026-01-21 17:23:50
*/
@Component
@AllArgsConstructor
public class WaterSourceUpdateExe {
    private final WaterSourceGateway waterSourceGateway;

    @Transactional(rollbackFor = Exception.class)
    public void execute(WaterSourceUpdateCmd waterSourceUpdateCmd) {
        WaterSourceE waterSourceE = new WaterSourceE();
        BeanUtils.copyProperties(waterSourceUpdateCmd, waterSourceE);
        boolean res = waterSourceGateway.update(waterSourceE);
        if (!res) {
            throw new BizException("修改失败");
        }
    }
}

